%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           PyRTF
Version:        0.45
Release:        11%{?dist}
Summary:        Rich Text Format (RTF) Document Generation in Python

Group:          Development/Languages
License:        LGPLv2+ or GPL+
URL:            http://pyrtf.sourceforge.net/
Source0:        http://dl.sf.net/pyrtf/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  sed >= 3.95

# Notice that there is a possible update by a different author
# ftp://ftp.visi.com/users/grante/python/PyRTF-0.46.tar.gz
# http://groups.google.com/group/comp.lang.python.announce/msg/e9997d47b4303547

%description
PyRTF is a pure python module for the efficient generation of rich text form
documents.  It has good support for tables and tries to maintain compatibility
with as many RTF reader as possible.


%prep
%setup -q
%{__sed} -i 's?\r??' PyRTF/Styles.py
%{__sed} -i 's?\r??' PyRTF/PropertySets.py
%{__sed} -i 's?\r??' PyRTF/__init__.py

%build
%{__python} setup.py build


%install
rm -rf %buildroot
%{__python} setup.py install -O1 --skip-build --root %buildroot


%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%doc PKG-INFO

%if 0%{?fedora} >= 9
%{python_sitelib}/PyRTF*egg-info
%endif
%{python_sitelib}/PyRTF


%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.45-11
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.45-8
- Rebuild for Python 2.6

* Tue Apr  1 2008 José Matos <jamatos[AT]fc.up.pt> - 0.45-7
- Fix the path to the egg-info.

* Tue Apr  1 2008 José Matos <jamatos[AT]fc.up.pt> - 0.45-6
- Declare egg-info for F9+.

* Tue Aug 28 2007 José Matos <jamatos[AT]fc.up.pt> - 0.45-5
- License fix, rebuild for devel (F8).

* Mon Dec 11 2006 José Matos <jamatos[AT]fc.up.pt> - 0.45-4
- Fix BR (python -> python-devel).

* Mon Dec 11 2006 José Matos <jamatos[AT]fc.up.pt> - 0.45-3
- Rebuild for python 2.5.

* Wed Sep 20 2006 José Matos <jamatos[AT]fc.up.pt> - 0.45-2
- Rebuild for FC-6.
- Unghost .pyo files.

* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.45-1
- uploaded package to cvs
